PWAs

GET https://pushye.com/api/pwas/
curl --request GET \
--url 'https://pushye.com/api/pwas/' \
--header 'Authorization: Bearer {api_key}' \
Parâmetros Detalhes Descrição
search Opcional String A string de busca.
search_by Opcional String Qual campo você está pesquisando? Os valores permitidos são: name.
datetime_field Opcional String Valores permitidos: datetime, last_datetime
datetime_start Opcional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Opcional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Opcional String Qual campo ordenar os resultados. Os valores permitidos são: pwa_id, name, datetime, last_datetime.
order_type Opcional String A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente e DESC para ordenação descendente.
page Opcional Inteiro O número da página de onde você deseja os resultados. O padrão é 1.
results_per_page Opcional Inteiro Quantos resultados você deseja por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example app",
            "settings": {
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "app_icon_url": "https://example.com/icon.png",
                "app_icon_maskable_url": "",
                "mobile_screenshot_urls": ["", "", "", "", "", ""],
                "desktop_screenshot_urls": ["", "", "", "", "", ""],
                "shortcuts": [
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""}
                ],
                "id": "",
                "dir": "auto",
                "lang": "en",
                "scope_url": "https://example.com/"
            },
            "manifest": {
                "name": "Example app",
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "lang": "en",
                "dir": "auto",
                "scope_url": "https://example.com/",
                "icons": [
                    {
                        "src": "https://example.com/icon.png",
                        "type": "image/png",
                        "purpose": "any",
                        "sizes": "512x512"
                    }
                ]
            },
            "last_datetime": null,
            "datetime": "2026-09-14 18:05:29"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/pwas?page=1",
        "last": "https://pushye.com/api/pwas?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/pwas?page=1"
    }
}
GET https://pushye.com/api/pwas/{pwa_id}
curl --request GET \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-09-14 18:05:29"
    }
}
POST https://pushye.com/api/pwas
Parâmetros Detalhes Descrição
name Requerido String The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Opcional String Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Opcional String Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Opcional String The full URL that opens when your PWA is launched.
background_color Opcional String The background color used on the splash screen and while the app is loading.
theme_color Opcional String The browser UI color that matches your app's theme.
app_icon_url Requerido String The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Opcional String Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Opcional String Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Opcional String Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Opcional String Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Opcional String Optional description to explain the shortcut.
shortcut_url_{1-3} Opcional String URL the shortcut should open.
shortcut_icon_url_{1-3} Opcional String Make sure the icon is 128x128 pixels, PNG file.
id Opcional String Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Opcional String Valores permitidos: fullscreen, standalone, minimal-ui, browser
orientation Opcional String Valores permitidos: portrait, landscape, any
dir Opcional String Valores permitidos: auto, ltr, rtl
lang Opcional String en for English, de for German, etc.
scope_url Opcional String Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example app' \
--form 'short_name=Example' \
--form 'description=Example PWA application.' \
--form 'start_url=https://example.com/' \
--form 'app_icon_url=https://example.com/icon.png' \
--form 'background_color=#ffffff' \
--form 'theme_color=#237fff' \
--form 'lang=en' \
--form 'scope_url=https://example.com/'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "lang": "en",
            "dir": "auto",
            "scope_url": "https://example.com/",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-09-14 18:05:29"
    }
}
POST https://pushye.com/api/pwas/{pwa_id}
Parâmetros Detalhes Descrição
name Opcional String The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Opcional String Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Opcional String Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Opcional String The full URL that opens when your PWA is launched.
background_color Opcional String The background color used on the splash screen and while the app is loading.
theme_color Opcional String The browser UI color that matches your app's theme.
app_icon_url Opcional String The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Opcional String Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Opcional String Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Opcional String Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Opcional String Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Opcional String Optional description to explain the shortcut.
shortcut_url_{1-3} Opcional String URL the shortcut should open.
shortcut_icon_url_{1-3} Opcional String Make sure the icon is 128x128 pixels, PNG file.
id Opcional String Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Opcional String Valores permitidos: fullscreen, standalone, minimal-ui, browser
orientation Opcional String Valores permitidos: portrait, landscape, any
dir Opcional String Valores permitidos: auto, ltr, rtl
lang Opcional String en for English, de for German, etc.
scope_url Opcional String Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated example app' \
--form 'theme_color=#000000'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Updated example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#000000",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Updated example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "theme_color": "#000000",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": "2026-09-14 18:05:29",
        "datetime": "2026-09-14 18:05:29"
    }
}
DELETE https://pushye.com/api/pwas/{pwa_id}
curl --request DELETE \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \